libebml (1.4.2-1+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-52339: Integer overflow in MemIOCallback::read()

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Jan 2025 14:37:12 +0200

libebml (1.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix heap buffer overflows (CVE-2021-3405) (Closes: #982597)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 14:55:06 +0100

libebml (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)
  * debian/watch: version bump 3 -> 4

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Jan 2021 22:28:39 +0100

libebml (1.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 06 Jul 2020 22:20:56 +0200

libebml (1.4.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/: SONAME bump 4v5 -> 5
  * debian/control: debhelper bump 12 -> 13
  * debian/control: S-V bump 4.4.1 -> 4.5.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 05 Jul 2020 22:54:03 +0200

libebml (1.3.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control:
    - RRR set
    - debhelper bump 11 -> 12

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 16 Dec 2019 20:48:45 +0100

libebml (1.3.9-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 12:10:59 +0200

libebml (1.3.9-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 May 2019 20:19:55 +0200

libebml (1.3.7-1) experimental; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.1.4 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Mar 2019 22:36:36 +0100

libebml (1.3.6-2) unstable; urgency=medium

  * Team upload.
  * debian/libebml-dev.install: Install cmake config files required by
    libmatroska.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Apr 2018 10:35:57 +0200

libebml (1.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/libebml-dev.dirs: Remove obsolete file.
  * debian/:
    - Convert to cmake build system.
    - Bump debhelper compat level to 11.
  * debian/control: Bump Standards-Version
  * debian/watch: Use https

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Apr 2018 10:24:33 +0200

libebml (1.3.5-2) unstable; urgency=medium

  * Re-enable changes made with 1.3.4-2 revision
    and dropped by mistake in 1.3.5-1 (Closes: #870797)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 27 Aug 2017 22:25:13 +0200

libebml (1.3.5-1) unstable; urgency=medium

  * New upstream release (Closes: #872775)
    - debian/watch: .tar.bz2 -> .tar.xz
  * debian/control: S-V bump 3.9.8 -> 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Aug 2017 22:55:17 +0200

libebml (1.3.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with GCC 7 to fix FTBFS of reverse-dependencies. (Closes: #870797)
    - Build-depend on gcc >= 7.
    - Update shlibs to ensure rdeps pull in the new version.

  * debian/compat: Use debhelper compat 10.
  * debian/libebml-dev.files: Remove.

 -- James Cowgill <jcowgill@debian.org>  Sat, 05 Aug 2017 15:54:14 -0400

libebml (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 04 Jul 2016 22:42:46 +0200

libebml (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 21 Oct 2015 15:36:15 +0200

libebml (1.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 20 Oct 2015 09:34:12 +0200

libebml (1.3.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 04 Aug 2015 21:02:58 +0200

libebml (1.3.1-4) experimental; urgency=medium

  * Team upload.
  * Rename libebml4 for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 22:26:59 +0200

libebml (1.3.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Apr 2015 10:33:29 +0200

libebml (1.3.1-2) experimental; urgency=medium

  * debian/: pkg-config dependency added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 17:57:19 +0100

libebml (1.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright: DEP-5 compliance added
  * debian/rules: source directory parameter dropped
  * debian/rules: dh_auto_install stanza dropped
  * debian/control: Uploader e-mail address updated
  * debian/control: S-V bump 3.9.4 => 3.9.6 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 09:29:28 +0100

libebml (1.3.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #720182)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 19 Aug 2013 15:48:15 +0200

libebml (1.3.0-1) experimental; urgency=low

  * New upstream release
    - debian/: SONAME bump libebml3 => libebml4
  * debian/control: Standards-Version bumped to 3.9.4
  * debian/control: Vcs-* URLs updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 29 Jun 2013 15:04:57 +0200

libebml (1.2.2-2) unstable; urgency=low

  * Team upload.

  [ Matteo F. Vescovi ]
  * debian/control: uploader's email address changed

  [ Alessio Treglia ]
  * Introduce Multiarch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 11:31:58 +0100

libebml (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Wed, 05 Oct 2011 13:46:42 +0200

libebml (1.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #631803):
    - fix the constructor of CRTError in StdIOCallback
    - fix the size returned by MemIOCallback::read()
      when reaching the end of the buffer
    - add a macro to define signed integer elements that
      have a default value
  * Correct maintainer's name.
  * Bump Standards.
  * Remove useless shlibs:Depends macro from -DEV's Depends field.
  * Fix small errors in the packages description.
  * Remove unnecessary debian/dirs file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Jun 2011 10:12:23 +0200

libebml (1.2.0-2) unstable; urgency=low

  * Team upload.

  [ Rico Tzschichholz ]
  * add myself to uploaders

  [ Fabian Greffrath ]
  * Remove myself from Uploaders.

  [ Reinhard Tartler ]
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Mar 2011 17:54:36 +0100

libebml (1.2.0-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/control,debian/libebml3.install:
    + bump library soname to libebml3
  * debian/control:
    + bump standard version to 3.9.1

  [ Reinhard Tartler ]
  * upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Feb 2011 20:54:15 +0100

libebml (1.0.0-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * remove generated files from branch
  * add .gitignore file
  * bump shlips
  * remove debian/patches/010_propagate_cflags.diff hack
  * remove debian/patches/020_invalid_cast.diff, applied upstream
  * remove debian/patches/030_g++-4.3.diff, merged upstream
  * don't create usr/include in libebml0 package

  [ Fabian Greffrath ]
  * Add debian/watch.
  * Add debian/gbp.conf.
  * Imported Upstream version 1.0.0 (Closes: #582238).

  [ Reinhard Tartler ]
  * prepare new upload
  * convert to Source Format 3.0 (quilt)
  * update Vcs- headers

  [ Fabian Greffrath ]
  * Remove useless debian/*.dirs.
  * Bump library soname to libebml2.
  * Convert Debian packaging to dh 7.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.8.4.
  * Fix weak-library-dev-dependency.
  * Fix debhelper-but-no-misc-depends.
  * Wrap lines in debian/control.
  * Fix duplicate-short-description.
  * Fix old-fsf-address-in-copyright-file.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 08 Jun 2010 23:13:59 +0200

libebml (0.8.0-1) unstable; urgency=low

  * new upstream release. (Closes: 582238).

 -- Eric Dantan Rzewnicki <eric@zhevny.com>  Sat, 29 May 2010 09:54:09 -0400

libebml (0.7.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/copyright (Closes: 465252).
  * Add debian/patches/030_g++-4.3.diff to fix g++-4.3 FTBFS (Closes: 455184).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 18 Mar 2008 23:58:01 +0100

libebml (0.7.7-3) unstable; urgency=low

  * No upstream version in a long time. Distributing shared libraries now.
  * debian/rules:
    + No longer build _pic.a library.
  * debian/control:
    + Add libebml0 package.
  * debian/compat:
    + Set compat to 5.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 17:28:01 +0100

libebml (0.7.7-2) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Added Vcs fields.
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 02:35:26 +0100

libebml (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * This release fixes a file corruption issue (Closes: #360644).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  3 Apr 2006 22:18:57 +0200

libebml (0.7.6-3) unstable; urgency=low

  * Switched patch system to quilt.
  * debian/control:
    + Build-depend on quilt.

  * 010_propagate_cflags.diff: (new patch from old diff.gz) propagate custom
    CXXFLAGS to the build process.

  * 020_invalid_cast.diff: (new patch from old diff.gz) cast pointers to
    uintptr_t instead of unsigned long.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 17:14:29 +0200

libebml (0.7.6-2) unstable; urgency=low

  * debian/compat: set level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 20:01:04 +0100

libebml (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Oct 2005 15:49:31 +0100

libebml (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.2.1.
  * src/EbmlFloat.cpp:
    + Fixed amd64 FTBFS (Closes: #300548).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 15 Jul 2005 13:46:53 +0300

libebml (0.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #288715, #290687).
  * ebml/EbmlCrc32.h: cast pointer to uintptr_t before doing arithmetic
    operations on it (Closes: #284881).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 16:24:35 +0100

libebml (0.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #271897).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 17 Sep 2004 11:38:18 +0200

libebml (0.7.0-2) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 24 Jul 2004 13:52:21 +0200

libebml (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Apr 2004 22:22:03 +0200

libebml (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  6 Jan 2004 21:07:21 +0100

libebml (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  4 Nov 2003 11:14:30 +0100

libebml (0.6.0-2) unstable; urgency=low

  * Fixed upstream's braindamaged use of DEB_BUILD_OPTIONS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 15 Oct 2003 09:00:42 +0200

libebml (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 12 Oct 2003 16:50:58 +0200

libebml (0.5.0-4) unstable; urgency=low

  * Used "cvs2cl --utc --no-wrap -w --stdout -g -z9" to generate an upstream
    changelog (Closes: #208599).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  5 Sep 2003 09:26:58 +0200

libebml (0.5.0-3) unstable; urgency=low

  * make/linux/Makefile:
    + Fixed $(CUSTOMFLAGS) so that the PIC lib gets built.
  * debian/control:
    + Set policy to 3.6.1.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  2 Sep 2003 21:12:08 +0200

libebml (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Downgraded debhelper build-dependency to allow easier backporting.
    + Enhanced the long description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Aug 2003 11:06:11 +0200

libebml (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Aug 2003 14:54:50 +0200

libebml (0.4.4+cvs.20030622-1) unstable; urgency=low

  * First Debian release (Closes: #198706).
  * debian/control:
    + Set policy to 3.5.10.
    + Rephrased upstream's long description.
  * debian/rules:
    + Ship PIC libraries so that application plugins can be linked with us.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 25 Jun 2003 05:22:08 +0200
